Subject: defect with sort multiple arguments

From: n buckner <[email-masked]>
Date: Mon, 21 Jul 2014 14:57:19 -0500

I was seeing some odd behaviour with sort -n -u.  I ran sort -n -u dataset
and expected the same output as sort -n dataset| uniq but instead got
something different.  sortbug is a script file showing the usage described
above, dataset is the dataset.
here is the version I am running.

sort (GNU coreutils) 8.21
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html
>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.

Thanks,
Nathan